Bug 1296190 - [abrt] kde-print-manager: QString::QString(): kde-print-queue killed by SIGSEGV
[abrt] kde-print-manager: QString::QString(): kde-print-queue killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kde-print-manager (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:61785aa459ed7daa9e57cc8c388...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 09:48 EST by cristi falcas
Modified: 2016-12-20 12:38 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:38:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.35 KB, text/plain)
2016-01-06 09:48 EST, cristi falcas
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-06 09:48 EST, cristi falcas
no flags Details
File: core_backtrace (15.07 KB, text/plain)
2016-01-06 09:48 EST, cristi falcas
no flags Details
File: dso_list (16.18 KB, text/plain)
2016-01-06 09:48 EST, cristi falcas
no flags Details
File: environ (1.62 KB, text/plain)
2016-01-06 09:48 EST, cristi falcas
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-06 09:49 EST, cristi falcas
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-06 09:49 EST, cristi falcas
no flags Details
File: maps (76.49 KB, text/plain)
2016-01-06 09:49 EST, cristi falcas
no flags Details
File: mountinfo (4.24 KB, text/plain)
2016-01-06 09:49 EST, cristi falcas
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-06 09:49 EST, cristi falcas
no flags Details
File: open_fds (832 bytes, text/plain)
2016-01-06 09:49 EST, cristi falcas
no flags Details
File: proc_pid_status (1015 bytes, text/plain)
2016-01-06 09:49 EST, cristi falcas
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-01-06 09:49 EST, cristi falcas
no flags Details

  None (edit)
Description cristi falcas 2016-01-06 09:48:45 EST
Version-Release number of selected component:
kde-print-manager-15.04.2-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kde-print-queue hp_hp_LaserJet_2430
crash_function: QString::QString
executable:     /usr/bin/kde-print-queue
global_pid:     8431
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QString::QString at ../../src/corelib/tools/qstring.h:877
 #1 QList<QString>::node_copy at ../../src/corelib/tools/qlist.h:444
 #2 QList<QString>::detach_helper at ../../src/corelib/tools/qlist.h:757
 #4 QList<QString>::detach at ../../src/corelib/tools/qlist.h:159
 #5 QList<QString>::end at ../../src/corelib/tools/qlist.h:303
 #6 QtPrivate::QStringList_sort at tools/qstringlist.cpp:260
 #7 QStringList::sort at /usr/include/qt5/QtCore/qstringlist.h:156
 #8 KCupsConnection::updateSubscription at ../../libkcups/KCupsConnection.cpp:527
 #9 QMetaObject::activate at kernel/qobject.cpp:3713
 #11 QTimer::timeout at .moc/moc_qtimer.cpp:197
Comment 1 cristi falcas 2016-01-06 09:48:51 EST
Created attachment 1112187 [details]
File: backtrace
Comment 2 cristi falcas 2016-01-06 09:48:53 EST
Created attachment 1112188 [details]
File: cgroup
Comment 3 cristi falcas 2016-01-06 09:48:55 EST
Created attachment 1112189 [details]
File: core_backtrace
Comment 4 cristi falcas 2016-01-06 09:48:57 EST
Created attachment 1112190 [details]
File: dso_list
Comment 5 cristi falcas 2016-01-06 09:48:58 EST
Created attachment 1112191 [details]
File: environ
Comment 6 cristi falcas 2016-01-06 09:49:00 EST
Created attachment 1112192 [details]
File: exploitable
Comment 7 cristi falcas 2016-01-06 09:49:01 EST
Created attachment 1112193 [details]
File: limits
Comment 8 cristi falcas 2016-01-06 09:49:04 EST
Created attachment 1112194 [details]
File: maps
Comment 9 cristi falcas 2016-01-06 09:49:05 EST
Created attachment 1112195 [details]
File: mountinfo
Comment 10 cristi falcas 2016-01-06 09:49:07 EST
Created attachment 1112196 [details]
File: namespaces
Comment 11 cristi falcas 2016-01-06 09:49:08 EST
Created attachment 1112197 [details]
File: open_fds
Comment 12 cristi falcas 2016-01-06 09:49:09 EST
Created attachment 1112198 [details]
File: proc_pid_status
Comment 13 cristi falcas 2016-01-06 09:49:11 EST
Created attachment 1112199 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 09:44:28 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:38:56 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.